> For the complete documentation index, see [llms.txt](https://docs.acecentre.org.uk/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.acecentre.org.uk/products/morace/guides/controlling-devices.md).

# Controlling devices connected

{% hint style="danger" %}
Warning: This wont work unless you've enabled your morAce to write the filesystem. See [here](/products/morace/guides/configuring-morace.md#want-to-pair-to-more-than-one-bluetooth-device-or-use-switch-control-mode) for how to do this.&#x20;
{% endhint %}

The command to change devices is&#x20;

`-.-.--`&#x20;

When this is sent morAce will drop connection with the current connected device and try connecting to the next last paired device. Note - if it doesnt connect within a set time frame (`last_connection_check_timeout`). It wil return back to the previous connected device.&#x20;

You can pair a new device once you go into this mode. The max number of devices you could connect to is set by `maxSwapConn`

{% hint style="info" %}
If you need morAce to forget all your paired devices you just need to delete the database on the circuitpy drive
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.acecentre.org.uk/products/morace/guides/controlling-devices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
